<?php
	session_start();
	include("cls_conexion.php");$CNN=new ClsMySQL();include("conexion23.php");
	$CM=V($_GET['C']);
	$P1=V($_GET['P1']);
	$P2=V($_GET['P2']);
	$P3=V($_GET['P3']);
	$P4=V($_GET['P4']);
	$P5=V($_GET['P5']);
	$P6=V($_GET['P6']);
	$P7=V($_GET['P7']);
	$P8=V($_GET['P8']);
	$P9=V($_GET['P9']);
	//
	if($CM=="C"){
		$COD=str_replace("@","+",$P1);		
		$IDP=gn("id_producto","productos","pro_codigo='$COD'");
		if($IDP==0){
			echo "NR";
		}else{
			$StrId=$IDP;
			$StrCod=gs("COD","vproductos","ID=$StrId");
			$StrDes=gs("DESCRIPCION","vproductos","ID=$StrId");
			$StrPre=gn("PC_SOL","vproductos","ID=$StrId");
			$StrMar=gs("MARCA","vproductos","ID=$StrId");
			echo "<input name=\"Pro_TxtId\" type=\"hidden\" id=\"Pro_TxtId\" value=\"$StrId\"/>
			<input name=\"Pro_TxtDes\" type=\"hidden\" id=\"Pro_TxtDes\" value=\"$StrDes\"/>
			<input name=\"Pro_TxtCod\" type=\"hidden\" id=\"Pro_TxtCod\" value=\"$StrCod\"/>
			<input name=\"Pro_TxtMarca\" type=\"hidden\" id=\"Pro_TxtMarca\" value=\"$StrMar\"/>
			<input name=\"Pro_TxtPre\" type=\"hidden\" id=\"Pro_TxtPre\" value=\"$StrPre\"/>";
			return;
		}
	}	
	//
	if($CM=="T"){
		$COD=str_replace("@","+",$P1);		
		$IDP=gn("id_producto","productos","pro_codigo='$COD'");
		if($IDP==0){
			echo "NR";
		}else{
			$DES=gs("DESCRIPCION","vproductos","ID=$IDP");
			$MAR=gs("MARCA","vproductos","ID=$IDP");
			$PRE=gn("PV_MAX","vproductos","ID=$IDP");			
			$IDP=GenTxt("Pro_TxtId",$IDP);
			$COD=GenTxt("Pro_TxtCod",$COD);
			$DES=GenTxt("Pro_TxtDes",$DES);
			$MAR=GenTxt("Pro_TxtMarca",$MAR);
			$PRE=GenTxt("Pro_TxtPre",$PRE);
			echo $IDP.$COD.$DES.$MAR.$PRE;
		}
	}
	//
	if($CM=="V"){
		$COD=str_replace("@","+",$P1);		
		$IDP=gn("id_producto","productos","pro_codigo='$COD'");
		if($IDP==0){
			echo "NR";
		}else{
			$DES=gs("DESCRIPCION","vproductos","ID=$IDP");
			$MAR=gs("MARCA","vproductos","ID=$IDP");
			$PRE=gn("PV_MAX","vproductos","ID=$IDP");
			$pre=gn("PV_MIN","vproductos","ID=$IDP");
			$IDP=GenTxt("Pro_TxtId",$IDP);
			$COD=GenTxt("Pro_TxtCod",$COD);
			$DES=GenTxt("Pro_TxtDes",$DES);
			$MAR=GenTxt("Pro_TxtMarca",$MAR);
			$PRE=GenTxt("Pro_TxtPre",$PRE);
			$pre=GenTxt("Pro_TxtPreM",$pre);
			echo $IDP.$COD.$DES.$MAR.$PRE.$pre;
		}
	}
?>